/**
 * @file
 * GraphQL compose behaviors.
 */

(function ($, Drupal, debounce, once) {

  'use strict';

  /**
   * Toggle fields configuration in GrapqhQL config page
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches the behavior for the toggle functionality.
   */
  Drupal.behaviors.graphQlToggleFields = {
    attach: function (context, settings) {
      $('.control a', context).each(function (el, val) {
        var $el = $(val);
        $el.click(function (e) {
          e.preventDefault();
          $(`tr.entity-${$el.data('control-graphql')}`).toggle('hidden');
        });
      });
    }
  };
}(jQuery, Drupal, Drupal.debounce, once));
